Skip to content
CognizyCognizyHelp
Sign in
In this area

Scheduling

Read booking pages and appointments.

List appointments

get/v1/public/scheduling/appointments

Paginated list of appointments. Filter by booking page, attendant, contact, status, or date range. Returns data (with attendant/service/contact) + meta.{total,page,limit,totalPages}.

Parameters

limitnumberoptional· query
Range 1–100
pagenumberoptional· query
tostringoptional· query
ISO datetime (date-only also accepted)
fromstringoptional· query
ISO datetime, inclusive
statusRESERVED | CONFIRMED | CANCELLED | NO_SHOW | COMPLETEDoptional· query
contactIdstringoptional· query
attendantIdstringoptional· query
bookingPageIdstringoptional· query

Responses

  • 200

Examples

bash
curl -X GET "https://api.cognizy.ai/api/v1/public/scheduling/appointments" \
  -H "Authorization: Bearer $COGNIZY_API_KEY"

List booking pages

get/v1/public/scheduling/booking-pages

Returns booking pages configured in the organization. Each booking page represents a bookable service or appointment type with its slug, status, services, and attendants.

Parameters

No parameters.

Responses

  • 200

Examples

bash
curl -X GET "https://api.cognizy.ai/api/v1/public/scheduling/booking-pages" \
  -H "Authorization: Bearer $COGNIZY_API_KEY"

Get an appointment

get/v1/public/scheduling/appointments/{id}

Returns the appointment with attendant, service, contact, and bookingPage included.

Parameters

idstringrequired· path
Appointment ID

Responses

  • 200Appointment returned
  • 404Appointment not found

Examples

bash
curl -X GET "https://api.cognizy.ai/api/v1/public/scheduling/appointments/<id>" \
  -H "Authorization: Bearer $COGNIZY_API_KEY"

Full reference